Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1412187 - microcode.service fails to load due to broken quoting in ExecStart line
Summary: microcode.service fails to load due to broken quoting in ExecStart line
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: microcode_ctl
Version: 7.3
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: ---
Assignee: Petr Oros
QA Contact: Rachel Sibley
URL:
Whiteboard:
Depends On: 1411232
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-11 13:34 UTC by Jaroslav Reznik
Modified: 2020-04-15 15:04 UTC (History)
18 users (show)

Fixed In Version: microcode_ctl-2.1-16.3.el7_3
Doc Type: If docs needed, set a value
Doc Text:
Latest microcode_ctl introduced bug in systemd service. It is caused by broken quoting in ExecStart line. This fix removing doube quotes from ExecStart line.
Clone Of: 1411232
Environment:
Last Closed: 2017-03-02 17:10:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2851331 0 None None None 2017-01-11 13:34:59 UTC
Red Hat Product Errata RHBA-2017:0374 0 normal SHIPPED_LIVE microcode_ctl bug fix update 2017-03-02 22:04:57 UTC

Description Jaroslav Reznik 2017-01-11 13:34:51 UTC
This bug has been copied from bug #1411232 and has been proposed
to be backported to 7.3 z-stream (EUS).

Comment 7 Rachel Sibley 2017-02-08 22:57:54 UTC
ALL TESTS PASSED

Verified as fixed in microcode_ctl-2.1-16.3.el7_3, the service now loads without errors

Before
===============================
~]# rpm -qa microcode_ctl
microcode_ctl-2.1-16.1.el7_3.x86_64

~]# systemctl status microcode -l
● microcode.service - Load CPU microcode update
   Loaded: error (Reason: Invalid argument)
   Active: inactive (dead) since Wed 2017-02-08 02:33:49 EST; 14h ago
 Main PID: 660 (code=exited, status=0/SUCCESS)

Feb 08 02:33:48 localhost.localdomain systemd[1]: Starting Load CPU microcode update...
Feb 08 02:33:49 localhost.localdomain systemd[1]: Started Load CPU microcode update.
Feb 08 17:12:03 hp-ms-01-c22.moonshot1.lab.eng.rdu.redhat.com systemd[1]: [/usr/lib/systemd/system/microcode.service:10] Trailing garbage, ignoring.
Feb 08 17:12:03 hp-ms-01-c22.moonshot1.lab.eng.rdu.redhat.com systemd[1]: microcode.service lacks both ExecStart= and ExecStop= setting. Refusing.


After
===============================
~]# yum update microcode_ctl-2.1-16.3.el7_3.x86_64.rpm

-reboot

~]# rpm -qa microcode_ctl
microcode_ctl-2.1-16.3.el7_3.x86_64

~]# systemctl status microcode -l
● microcode.service - Load CPU microcode update
   Loaded: loaded (/usr/lib/systemd/system/microcode.service; enabled; vendor preset: enabled)
   Active: inactive (dead) since Wed 2017-02-08 17:32:04 EST; 17min ago
  Process: 641 ExecStart=/usr/bin/bash -c grep -l GenuineIntel /proc/cpuinfo | xargs grep -l -E "model[[:space:]]*: 79$" > /dev/null || echo 1 > /sys/devices/system/cpu/microcode/reload (code=exited, status=0/SUCCESS)
 Main PID: 641 (code=exited, status=0/SUCCESS)

Feb 08 17:32:04 localhost.localdomain systemd[1]: Starting Load CPU microcode update...
Feb 08 17:32:04 localhost.localdomain systemd[1]: Started Load CPU microcode update.

Comment 8 Tomer Ben David 2017-02-14 16:50:37 UTC
Hi! is it possible to find microcode_ctl-2.1-16.3.el7_3 rpm, if not when is it expected to be released?

Comment 10 errata-xmlrpc 2017-03-02 17:10:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0374.html


Note You need to log in before you can comment on or make changes to this bug.